# Orbit+

![1](/screenshots/1.png)

![2](/screenshots/2.png)

![3](/screenshots/3.png)

![4](/screenshots/4.png)

A clone of the 2007 Adobe Flash game by Jacob Grahn ("Jiggmin"), using OpenGL and SDL.

> _Don't let anything touch your white center. Destroy atackers by touching them with their color. Move with your mouse. Spin with WASD/arrow keys. Survive._

An experiment in getting the ropes of OpenGL and implementing an entity component system (ECS).

## Build

### Dependencies

	- SDL2
	- SDL_image
	- SDL_mixer
	- SDL_ttf
	- GLEW

### Linux/MinGW

This repository uses CMake to compile, so:

`mkdir build`

`cd build`

`cmake ..`

`make`

Make sure you've got the games's resources downloaded and in the same directory as the executable. You can get that [here](https://shweetz.net/files/games/orbit-plus-resources.7z).
